package com.rf.youth;

import com.querydsl.jpa.impl.JPAQueryFactory;
import lombok.extern.slf4j.Slf4j;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.core.env.Environment;
import org.springframework.data.jpa.repository.config.EnableJpaAuditing;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

import javax.persistence.EntityManager;

/**
 * @author zzf
 */
//@EnableCaching
@EnableJpaRepositories(basePackages = {"com.rf.youth"})
@SpringBootApplication(scanBasePackages = {"com.rf.youth"})
@EnableJpaAuditing
@EnableTransactionManagement
@EnableScheduling
@Slf4j
//@EnableSwagger2
public class YouthStationApplication {

    static Logger logger = LoggerFactory.getLogger(YouthStationApplication.class);
    @Autowired
    static Environment environment;
    @Value("${spring.profiles.active}")
    static String profile;


    public static void main(String[] args) {
        //检查环境
        //System.out.println("profile--"+profile);
        //System.out.println("env--"+environment.getActiveProfiles()[0]);


        SpringApplication.run(YouthStationApplication.class, args);

		/*if (CPUSerial.getCPUSerial().equals("BFEBFBFF000906EA1")){
		}else {
			System.out.println("无权限启动");
		}*/
    }


    /**
     * 让Spring管理JPAQueryFactory
     *
     * @param entityManager
     * @return
     */
    @Bean
    public JPAQueryFactory jpaQueryFactory(EntityManager entityManager) {
        return new JPAQueryFactory(entityManager);
    }


}
