package com.rf.youth.order.controller;

import com.rf.youth.base.rest.BaseController;
import com.rf.youth.order.model.TalentApplyInfo;
import com.rf.youth.security.SafetyProcess;
import com.rf.youth.utils.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * @Description:待入住人员处理信息
 * @Author: zsf
 * @Date: 2022/8/4
 */
@RestController
@RequestMapping("/apply")
@Api(tags = "待入住人员管理")
@Slf4j
public class TalentApplyInfoController extends BaseController {

    @SafetyProcess
    @ApiOperation(value = "系统登录接口",notes = "data参数包括：phone:账号, password:密码,institutionNo:机构编号,roleType:用户角色")
    @PostMapping("/push")
    public Result login( @RequestBody TalentApplyInfo applyInfo){
        try {
                log.info(applyInfo.toString());
                return success(null,"成功");

        }catch (Exception e){
            e.printStackTrace();
            return fail(null,"失败");
        }
    }
}
