package com.rf.youth.order.model;

import com.rf.youth.base.model.BaseEntity;
import com.rf.youth.utils.Constant;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:入住工单
 * @Author: zsf
 * @Date: 2022/8/5
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_work_order_info")
@EqualsAndHashCode(callSuper=true)
@org.hibernate.annotations.Table(appliesTo = "t_work_order_info", comment = "入住工单")
public class WorkOrder extends BaseEntity {

    @Column(name = "apply_name", columnDefinition = "varchar(50) not null comment '申请人姓名'")
    private String applyName; //申请人姓名

    @Column(name = "identity_number", columnDefinition = "varchar(18) not null comment '身份证号'")
    private String identityNumber;

    @Column(name = "phone", columnDefinition = "varchar(11) not null comment '电话'")
    private String phone;

    @Column(name = "start_time", columnDefinition = "varchar(20) not null comment '预计入住时间'")
    private String startTime;

    @Column(name = "end_ime", columnDefinition = "varchar(20) not null comment '预计退房时间'")
    private String endTime;

    @Column(name = "post_station_name", columnDefinition = "varchar(20) not null comment '驿站名称'")
    private String postStationName;

    @Column(name = "post_station_code", columnDefinition = "varchar(20) not null comment '驿站code'")
    private String postStationCode;

    @Column(name = "status", columnDefinition = "varchar(10) not null comment '状态:0入住，1续租，2退房'")
    private String status;

    public WorkOrder(TalentApplyInfo info){
        this.applyName = info.getApplyName();
        this.identityNumber = info.getIdentityNumber();
        this.phone = info.getPhone();
        this.startTime = info.getStartTime();
        this.endTime = info.getEndTime();
        this.postStationCode = info.getPostStationCode();;
        this.postStationName = info.getPostStationName();
        this.status = Constant.DEFAULT_VALUE_ZERO;
    }
}
