package com.rf.youth.order.service.impl;

import cn.hutool.core.date.DateUtil;
import cn.hutool.core.io.unit.DataUnit;
import com.rf.youth.enums.ApplyStatus;
import com.rf.youth.order.model.TalentApplyInfo;
import com.rf.youth.order.model.WorkOrder;
import com.rf.youth.order.repository.TalentApplyInfoRepository;
import com.rf.youth.order.service.TalentApplyInfoService;
import com.rf.youth.order.service.WorkOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description:待入住用户接口
 * @Author: zsf
 * @Date: 2022/8/4
 */
@Service
public class TalentApplyInfoServiceImpl implements TalentApplyInfoService {


    @Autowired
    private TalentApplyInfoRepository talentApplyInfoRepository;

    @Autowired
    private WorkOrderService workOrderService;


    /**
     * 保存入住人员信息
     * @param talentApplyInfo 信息
     * @return
     */
    @Override
    public TalentApplyInfo saveInfo(TalentApplyInfo talentApplyInfo) {
        TalentApplyInfo info = null;
        try {
            info = talentApplyInfoRepository.save(talentApplyInfo);
        }catch (Exception e){
            e.printStackTrace();
        }
        return info;
    }

    @Override
    public void handleApply(TalentApplyInfo info) {
        //通过type值判断申请或续住
        if ("apply".equals(info.getType())){
            //生成订单
            WorkOrder workOrder = new WorkOrder(info);
            workOrder = workOrderService.saveOrder(workOrder);
            if (workOrder != null ){
                info.setStatus(ApplyStatus.PROCESSED.getType());
                info.setUpdateTime(DateUtil.now());
                talentApplyInfoRepository.save(info);
            }
        }else {//找到订单更新预计退房时间

        }

    }
}
