package com.rf.youth.user.dao.model;

import com.rf.youth.base.model.BaseEntity;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * @author zsy
 * @description:用户信息表
 * @date 2021/6/17 15:55
 */
@Entity
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "t_user_info")
@EqualsAndHashCode(callSuper=true)
@org.hibernate.annotations.Table(appliesTo = "t_user_info", comment = "用户信息表")
public class UserEntity extends BaseEntity {

    @Column(name = "username", columnDefinition = "varchar(50) not null comment '登录账号'")
    private String username;

    @Column(name = "phone", columnDefinition = "varchar(11) default 0  comment '用户手机号'")
    private String phone;

    @Column(name = "pet_name", columnDefinition = "varchar(10) not null comment '昵称'")
    private String petName;

    @Column(name = "password", columnDefinition = "varchar(32) not null comment '密码'")
    private String password;

    @Column(name = "addition_info", columnDefinition = "varchar(500) comment '附加信息'")
    private String additionInfo;

    @Column(name = "role_type", columnDefinition = "varchar(2) default '0' comment  '角色(默认为1 1驿站管理员、2 税务员、3机构超级管理员)'")
    private String roleType;

}
