package com.rf.youth.user.service.impl;


import com.rf.youth.user.dao.model.UserEntity;
import com.rf.youth.user.dao.repository.UserRepository;
import com.rf.youth.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author zsy
 * @description:登录认证
 * @date 2021/6/17 15:55
 */
@Service
public class UserServiceImpl implements UserService {

    @Autowired
    private UserRepository userRepository;


    @Override
    public UserEntity findUserByName(String username) {
        return userRepository.findByUsername(username);
    }

    @Override
    public UserEntity findUserByNameAndPassword(String username, String password) {
        return userRepository.findByUsernameAndPassword(username,password);
    }

    @Override
    public UserEntity findUserById(String id) {
        return userRepository.getOne(id);
    }

    @Override
    public UserEntity saveUser(UserEntity userEntity) {
        return userRepository.save(userEntity);
    }
}
